JOIN(1)

NAAM
join - voeg regels van twee bestanden met identieke samenvoegvelden samen

SAMENVATTING
join [OPTIE]... BESTAND1 BESTAND2

BESCHRIJVING

Stuurt voor elk paar invoerregels met identieke samenvoegvelden een regel naar standaard uitvoer. Het standaard samenvoegveld is het eerste veld, afgebakend door spaties of tabs.

Wanneer BESTAND1 of BESTAND2 (niet beide) '-' is, wordt standaardinvoer gelezen.

-a NUMMER
    ook niet-paarbare regels uit bestand NUMMER tonen, waar NUMMER 1 of 2 is, overeenkomend met BESTAND1 of BESTAND2

-e TEKST
    vervang ontbrekende (lege) invoer veld met TEKST; m.a.w. ontbrekende velden gespecificeerd met '-12jo' opties

-i, --ignore-case
    verschil in hoofd- en kleine letters negeren

-j VELD
    hetzelfde als '-1 VELD -2 VELD'

-o OPMAAK
    te gebruiken opmaak (zie onder) van elke uitvoerregel

-t TEKEN
    te gebruiken veldscheidingsteken voor invoer en uitvoer

-v NUMMER
    als -a NUMMER, maar samengevoegde regels onderdrukken

-1 VELD
    samenvoegen op dit VELD in bestand 1

-2 VELD
    samenvoegen op dit VELD in bestand 2

--check-order
    controleren of de invoer juist gesorteerd is, zelfs als van alle invoerregels paren gemaakt kunnen worden

--nocheck-order
    niet controleren of de invoer juist gesorteerd is

--header
    de eerste regel in elk bestand als veldkoppen behandelen; deze samenvoegen zonder proberen ze te paren

-z, --zero-terminated
    regels afsluiten met 0-byte, niet met nieuweregel

--help
    toon de helptekst en stop

--version
    toon programmaversie en stop

Standaard is voorloopwitruimte de veldscheiding en wordt verder genegeerd. Als -t TEKEN gegeven is, worden velden gescheiden door TEKEN. Elk VELD heeft een veldnummer, tellend vanaf 1. OPMAAK is een komma- of spatiegescheiden lijst aanduidingen, elk van de vorm 'NUMMER.VELD' of '0', waar NUMMER het bestandsnummer en VELD het veldnummer is. De standaardopmaak voert eerst het samenvoegveld uit, dan de overige velden van BESTAND1, en dan de overige velden van BESTAND2, alles gescheiden door TEKEN. Als OPMAAK het sleutelwoord 'auto' is, dan bepaalt de eerste regel van elk bestand hoeveel velden er voor elke regel uitgevoerd worden.

Belangrijk: BESTAND1 en BESTAND2 moeten gesorteerd zijn op de samenvoegvelden. Gebruik bijvoorbeeld "sort -k 1b,1" als aan 'join' geen opties gegeven worden of gebruik "join -t" als 'sort' geen opties heeft. Opmerking: het vergelijken volgt de regels gespecificeerd door 'LC_COLLATE'. Als de invoer niet gesorteerd is en sommige regels niet samengevoegd kunnen worden, dan wordt er een waarschuwing gegeven.

AUTEUR
Geschreven door Mike Haertel.

RAPPORTEREN VAN BUGS
Online hulp bij GNU coreutils: <https://www.gnu.org/software/coreutils/>
Meld alle vertaalfouten op <https://translationproject.org/team/nl.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>.
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden. Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

ZIE OOK
comm(1), uniq(1)

Volledige documentatie op: <https://www.gnu.org/software/coreutils/join>
of lokaal via: info '(coreutils) join invocation'

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.